> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Token Only Settlement

> Validates that a payroll can be settled token-only via the token-only settlement service.

Required scope: `payroll:read`

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/validate-token-only-settlement
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/validate-token-only-settlement:
    get:
      operationId: validateTokenOnlySettlement
      summary: Validate Token Only Settlement
      x-toku-required-scope: payroll:read
      description: >-
        Validates that a payroll can be settled token-only via the token-only
        settlement service.


        Required scope: `payroll:read`
      parameters:
        - name: tokenPayrollId
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 200
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateTokenOnlySettlementResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ValidateTokenOnlySettlementResponse:
      type: object
      properties:
        canEnableTokenOnly:
          type: boolean
        validationErrors:
          type: array
          items:
            type: string
        employeeValidations:
          type: array
          items:
            type: object
            properties:
              roleInOrgID:
                type: string
              employeeName:
                type: string
              hasVerifiedWallets:
                type: boolean
              missingTokenTypes:
                type: array
                items:
                  type: string
              verifiedTokenTypes:
                type: array
                items:
                  type: string
            required:
              - roleInOrgID
              - employeeName
              - hasVerifiedWallets
              - missingTokenTypes
              - verifiedTokenTypes
      required:
        - canEnableTokenOnly
        - validationErrors
        - employeeValidations
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
